class Menu {
  PFont myFont;
  String[] fontList = PFont.list();
  int buttonSize;

  Menu(int buttonSize) {
    myFont = createFont("Arial", 18);
    textFont(myFont);
    this.buttonSize = buttonSize;
  }

  void createMainMenu(ArrayList buttons) {    
    MenuButton[] menuButtons = new MenuButton[buttons.size()];
    for (int i = 0; i<buttons.size();i++) {
      menuButtons[i] = new MenuButton((String)buttons.get(i), i, this.buttonSize);
    }
  }

  void createSubmenu(String[] subbuttons, int x) {
    SubmenuButton[] submenuButtons = new SubmenuButton[subbuttons.length];
    for (int i = 0; i<submenuButtons.length;i++) {
      submenuButtons[i] = new SubmenuButton(subbuttons[i], x, i+1, this.buttonSize);
    }
  }
  
  void writeCredits(){
    smooth();
    fill(255);
    text("FotoFasto 1.0", 5, 150);
    text("Software created by Elodie Rafalimanana © 2009", 5, 180);
    text("Using Processing 1.5.1", 5, 210);
  }
}

class MenuButton {
  MenuButton(String btnText, int btnIndex, int buttonSize) {
    stroke (0, 0, 0);
    fill (255, 255, 255);
    rect (btnIndex*buttonSize, 0, buttonSize, buttonSize/3);
    fill(0);
    text(btnText, 5+btnIndex*buttonSize, 25);
  }
}

class SubmenuButton {
  SubmenuButton(String btnText, int xIndex, int yIndex, int buttonSize) {
    stroke (0, 0, 0, 50);
    fill (255, 255, 255, 100);
    rect (buttonSize*xIndex, yIndex*buttonSize/3, buttonSize, buttonSize/3);
    if (yIndex == 1)
      fill(140, 0, 0);//First entry in red 
    else
      fill(0);
    text(btnText, 5+xIndex*buttonSize, 25+(yIndex*buttonSize/3));
  }
}

